package com.example.vastlib.utils

import com.example.vastlib.utils.Gzip.compress
import com.example.vastlib.utils.Gzip.unCompress
import org.junit.Assert
import org.junit.Test


class GzipTest {

    @Test
    fun compress() {
        val c = "aaaaaa".toByteArray().compress()
        Assert.assertNotNull(c)
        val d = c?.unCompress()
        Assert.assertNotNull(d)
        Assert.assertEquals(d?.let { String(it) }, "aaaaaa")
    }

    @Test
    fun unCompress() {
    }
}